%define upstream_name    Test-Whitespaces
%define upstream_version 1.2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Test source code for errors in whitespaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is intend to solve one simple task: to make sure that your source
code don't have problems with whitespaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/test_whitespaces
/usr/bin/whiter
/usr/share/man/man1/test_whitespaces.1.bz2
/usr/share/man/man1/whiter.1.bz2

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.2.1-8pclos2017
- rebuild against updates

